# Resend Verification Email POST /api/v1/iam/resend-verification-email/ Content-Type: application/json Resends the verification email to the specified email address. Reference: https://docs.aisquare.studio/api-reference/ai-square-studio-api/iam/resend-verification-email-create ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: AISquare Studio API version: 1.0.0 paths: /api/v1/iam/resend-verification-email/: post: operationId: resend-verification-email-create summary: Resend Verification Email description: Resends the verification email to the specified email address. tags: - subpackage_iam responses: '200': description: Verification email sent successfully content: application/json: schema: description: Any type '400': description: Invalid input content: application/json: schema: description: Any type requestBody: content: application/json: schema: type: object properties: email: type: string format: email description: The email address to resend verification to required: - email ``` ## SDK Code Examples ```python Resend Verification Example import requests url = "https://api.example.com/api/v1/iam/resend-verification-email/" payload = { "email": "jane.doe@example.com" } headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript Resend Verification Example const url = 'https://api.example.com/api/v1/iam/resend-verification-email/'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"email":"jane.doe@example.com"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Resend Verification Example package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.example.com/api/v1/iam/resend-verification-email/" payload := strings.NewReader("{\n \"email\": \"jane.doe@example.com\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Resend Verification Example require 'uri' require 'net/http' url = URI("https://api.example.com/api/v1/iam/resend-verification-email/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"email\": \"jane.doe@example.com\"\n}" response = http.request(request) puts response.read_body ``` ```java Resend Verification Example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.example.com/api/v1/iam/resend-verification-email/") .header("Content-Type", "application/json") .body("{\n \"email\": \"jane.doe@example.com\"\n}") .asString(); ``` ```php Resend Verification Example request('POST', 'https://api.example.com/api/v1/iam/resend-verification-email/', [ 'body' => '{ "email": "jane.doe@example.com" }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp Resend Verification Example using RestSharp; var client = new RestClient("https://api.example.com/api/v1/iam/resend-verification-email/"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"email\": \"jane.doe@example.com\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift Resend Verification Example import Foundation let headers = ["Content-Type": "application/json"] let parameters = ["email": "jane.doe@example.com"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/api/v1/iam/resend-verification-email/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```